# Standard functions for museum-digital

This repository contains the most basic functions for working on museum-digital. Functions are provided as static functions of classes.
The (by far) most relevant classes in this repository are:

- [MD_STD](./src/MD_STD.php)
  This class mainly provides type-safe wrappers around internal PHP functions. Where the general [`realpath()`](https://www.php.net/manual/en/function.realpath.php) will return `false` if the provided path does not exist, `MD_STD::realpath()` will, e.g., throw an exception or return the absolute path of the input file.
- [MD_STD_IN](./src/MD_STD_IN.php)
  This class is concerned with safely getting input data. It thus mainly covers shorthand functions for validating or sanitizing various types of input data.

## License

This project is licensed under the MIT License. See the [LICENSE](./LICENSE) file for the full license text.
