<?PHP
declare(strict_types = 1);

/**
 * Reports a failure due to insufficient permissions in the file system.
 */
final class MDFilePermissionsException extends Exception {
    /**
     * Error message.
     *
     * @return string
     */
    public function errorMessage() {
        //error message
        return 'Insufficient file system permissions';

    }
}
