<?PHP
declare(strict_types = 1);

/**
 * Exception thrown by MDJail if a required security option has not been set.
 */
final class MDJailSecurityOptionNotSetException extends Exception {
    /**
     * Error message.
     *
     * @return string
     */
    public function errorMessage() {
        //error message
        return 'A security option of MD_JAIL has not been set: <b>' . $this->getMessage() . '</b>).';

    }
}
